import { module, test } from 'qunit';
import { setupRenderingTest } from 'ember-qunit';
import { setupMirage } from 'ember-cli-mirage/test-support';
import { render } from '@ember/test-helpers';
import { hbs } from 'ember-cli-htmlbars';

module('Integration | Component | recipe-list', function(hooks) {
  setupRenderingTest(hooks);
  setupMirage(hooks);

  test('it renders existing meals into a list', async function(assert) {
    let store = this.owner.lookup('service:store');
    this.server.create('meal', { id: 1 });
    this.server.create('meal', { id: 2 });
    await store.findRecord('meal', 1);
    await store.findRecord('meal', 2);

    await render(hbs`<RecipeList />`);

    assert.dom('[data-test-id=recipe-item]').exists({ count: 2 });
  });
});
